% out = castimage(in,newpixeltype)
%
% castimage converts the pixeltype of an image
%
% This is part of the OTB Matlab Toolbox
% 
% author: Rik Bellens

function out = castimage(in,newpixeltype)

s = suffix(in);
if s(1)=='V'
    news = ['VI' newpixeltype s(end)];
else
    news = ['I' newpixeltype s(end)];
end
filter = VerySmartPointer(['itkCastImageFilter' s news]);
filter.Call('SetInput',in);
filter.Call('Update');
out = filter.Call('GetOutput');
out.Call('DisconnectPipeline');
