% out = unaryop(op,in, inplace)
%
% unaryop performs an unary operation on the image in
% op contains the name of the operation:
%     some examples: Square, Sqrt, ...
%
% This is part of the OTB Matlab Toolbox
% 
% author: Rik Bellens
function out = unaryop(op,in,inplace)

if nargin<3, inplace = false; end

filter = VerySmartPointer(['itk' op 'ImageFilter' suffix(in), suffix(in)]);
filter.Call('SetInput',in);
filter.Call('SetInPlace',inplace);
filter.Call('Update');

out = filter.Call('GetOutput');
out.Call('DisconnectPipeline');
